<div class="row m-0">
    <div class="col-md-12">
        <div class="btn-group mb-4 pull-right" dropdown>
            Question:
            <button dropdownToggle type="button" class="btn dropdown-toggle">{{(curPage ? curPage : '1') + ' of ' +
                curRequirement?.questionIds.length}}
            </button>
            <ul *dropdownMenu class="dropdown-menu route-links" role="menu">
                <li *ngFor="let question of curRequirement?.questionIds; let i = index " role="menuitem">
                    <a class="dropdown-item" href="javascript:" routerLinkActive="active"
                       routerLink="{{'./question/' + question}}" (click)="curPage = (i+1)">
                        {{(i + 1) + ' of ' + curRequirement?.questionIds?.length}}
                    </a>
                </li>
            </ul>
        </div>
    </div>
    <div class="col-md-12">
        <div class="requirement-name d-flex">
            <h6><span>{{curState === 'OTHERS' ? 'Requirement ' : 'Appendix A'}}{{curRequirement?.requirementNumber}}: </span>{{curRequirement?.requirement}}</h6>
        </div>
        <router-outlet></router-outlet>
    </div>
</div>
